<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }



$admin->head();

echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&$session><b>احصائيات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td disabled  align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=list&$session><b>ادارة تصنيفات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=newmoalif&$session><b>اضف مؤلف جديد</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=listmoalif&$session><b>تحرير بيانات مؤلف</b></a></td>
 </tr>
</table><br>";



$moddo = $apt->get[moddo];



if($moddo=='edt')

{

echo "

<script language=javascript>

function checkForm(){

	if (!document.addf.cat_title.value) {

		alert('عفوا ... انت لم تقم بكتابة اسم للتصنيف'); 

		return false;

	} 

 

	var xx=document.addf.cat_order.options[document.addf.cat_order.selectedIndex].value

	if (xx==''){

		alert('عفوا ... انت لم تقم بإختيار ترتيب للتصنيف'); 

		return false;

	}	

}

</script>";



if($apt->post[save]){



$cat_id 	= $apt->get[cat_id];

$cat_title 	= $apt->post[cat_title];

$cat_desc 	= $apt->post[cat_desc];

$cat_sub 	= $apt->post[cat_sub];

$cat_order 	= $apt->post[cat_order];

if($cat_sub == '0'){$cat_main = 1;}else{$cat_main = 0;}

$name_file 	= $apt->post[name_file];
if($apt->files["name_file"]["tmp_name"]){
$allow_ext = array('.gif','.png','.jpg');
$file 	= $apt->files["name_file"]["tmp_name"];
$realname 	= $apt->files["name_file"]["name"];
$type 	= $apt->files["name_file"]["type"];
$size 	= $apt->files["name_file"]["size"];
$ext  	= strrchr($realname,'.');
$ext  = strtolower($ext);
$allow_e = in_array($ext,$allow_ext);
if(!$allow_e)

{
		
		modmsg("عفوا ... الصوره التي اخترتها يجب ان تكون بالامتداد gif,jpg,png<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());
}
elseif($size > 1048576)
{
	modmsg("عفوا ... حجم الصوره التي اخترتها أكبر من واحد ميجابايت<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());
}
else
{
//***************************************
$thefile = $file;
if($ext=='.gif'){
$image = ImageCreateFromGIF($thefile);
}elseif($ext=='.png'){
$image = ImageCreateFromPNG($thefile);
}else{
$image = ImageCreateFromJPEG($thefile);
}
$width = imagesx($image) ;
$height = imagesy($image) ;

$new_width = 70; 
$new_height = 70;
if (function_exists('ImagecreateTrueColor'))
{
$thumb = ImageCreateTrueColor($new_width,$new_height);
ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
$do = ImageJPEG($thumb, './../modules/media/cat/'.$cat_id. '.jpg');
imagedestroy($image);
//***************************************
}
}
//// Start 20/12/2007
$goquery = $apt->query("UPDATE rafia_media_cat set cat_title='$cat_title', cat_desc='$cat_desc', cat_main='$cat_main', cat_sub='$cat_sub', cat_order='$cat_order' where cat_id='$cat_id'");
//// End 20/12/2007



if($goquery){

		modmsg("تم تحديث التصنيف بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());

}else{

		modmsg("عفوا ... حصل خطأ و لم يتم تحديث التصنيف<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());

}

}else{

$cat_id 		= $apt->get[cat_id];

$result = mysql_query ("SELECT * FROM rafia_media_cat where cat_id=$cat_id");

while ($row = mysql_fetch_array($result)) {

@extract($row);


            $admin->opentable("تعديل تصنيف جديد للمكتبة");

				echo "<form onsubmit='return checkForm(this)' enctype='multipart/form-data' name=addf act=mod.php?act=edit&mod=media&op=list&moddo=edt&cat_id=$cat_id&".$admin->get_sess()." method=post>";

            $admin->inputtext("عنوان التصنيف","cat_title",$cat_title);

            $admin->textarea("وصف بسيط التصنيف","cat_desc",$cat_desc,'rtl',3);
//// Start 20/12/2007

		$admin->td_msg("صورة التصنيف");
            if(file_exists("./../modules/media/cat/".$cat_id.".jpg")){
			$admin->td_msg("<img src=./../modules/media/cat/".$cat_id.".jpg>");
		}else{
			$admin->td_msg("لا يوجد صورة");
		}

//// End 20/12/2007
            $result = $apt->query("SELECT * FROM rafia_media_cat where cat_id != $cat_id");

			echo "<tr>";

			$admin->td_msg("نوع التصنيف");

            echo "<td class=datacell><select name='cat_sub'>\n";

            echo "<option value='0'>تصنيف رئيسي</option>";

            while($row=$apt->dbarray($result)){

            @extract($row);

		    $cid   = $row["cat_id"];

            $ctitle = $row["cat_title"];

            echo "<option value='$cid'>متفرع من [$ctitle]</option>";

			}

            echo "</select></td></tr>";
            
        
            




            $admin->inputfile("صورة جديده للتصنيف");


            $admin->selectnum("الترتيب","cat_order","$cat_order",'1','15');

            $admin->inputhidden('save','1');

            $admin->closetable();

            $admin->submit("تعديل");

}}

}elseif($moddo=='del'){

$gcatimg 	= $apt->get[gcatimg];

$cat_id 		= $apt->get[cat_id];

$sure 	= $apt->get[sure];

if(!$sure){

		modmsg("<b>عفوا .. ماذا تريد ان تفعل الان :</b><br>

			<li><a href=mod.php?act=edit&mod=media&op=list&moddo=del&cat_id=$cat_id&gcatimg=$gcatimg&sure=yes&".$admin->get_sess().">حذف التصنيف وحذف جميع المشاركات فيه</a>

			<li><a href=mod.php?act=edit&mod=media&op=control&cat_id=$cat_id&".$admin->get_sess().">نقل جميع المشاركات الى تصنيف اخر ثم الرجوع لحذف التصنيف</a>","#");

}else{

	$res = mysql_query ("delete from rafia_media_cat where cat_id=$cat_id");

	if($res){

	$imgresult = mysql_query ("SELECT * FROM rafia_media_items where item_cat=$cat_id");

	$resu = mysql_query ("delete from rafia_media_items where item_cat=$cat_id");

		if(!$resu){$sen = 'تم حذف التصنيف و لكن حصل خطأ عند محاول حذف جميع المشاركات الموجوده فيه';}else{$sen ='تم حذف التصنيف مع جميع المشاركات الموجوده فيه بنجاح';}

			modmsg("$sen<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());

	}else{

			modmsg("عفوا .. حصل خطأ عند محاولة حذف التصنيف<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());

	}

}

}else{

$admin->opentable("عرض تصانيف المكتبة",4);

$result = mysql_query ("SELECT * FROM rafia_media_cat ORDER BY cat_order ASC");

echo "<tr>";

$admin->td_msg('<b>اسم التصنيف</b>',50);

$admin->td_msg('<b>تحرير</b>',15);

$admin->td_msg('<b>ادارة</b>',20);

$admin->td_msg('<b> حذف </b>',15);

echo "</tr>";

while ($row = mysql_fetch_array($result)) {

@extract($row);

echo "<tr>";

$admin->td_msg($cat_title . ' ['.$cat_count.']',50);

$admin->td_url("mod.php?act=edit&mod=media&op=list&moddo=edt&cat_id=$cat_id&modid=$modid&".$admin->get_sess(),'تعديل',15);

$admin->td_url("mod.php?act=edit&mod=media&op=control&cat_id=$cat_id&modid=$modid&".$admin->get_sess(),'ادارة المشاركات',20);

$admin->td_url("#",$admin->DelHref("mod.php?act=edit&mod=media&op=list&moddo=del&cat_id=$cat_id&gcatimg=$cat_img"));



echo "</tr>";



}

$admin->closetable();

}

?>